function calculateMFDFA(X,windowWidthBegin,windowWidthEnd,POWERS,ORDER,kindOfElevate,valueOfElevate,percFunction);

[S,FqS,Q]=MFDFA(X,windowWidthBegin,windowWidthEnd,POWERS,ORDER,kindOfElevate,valueOfElevate);

f1=figure('Name','Распределение Fq(s)','NumberTitle','off');
FqS2=FqS';
loglog(S,FqS2,'.k');
f1Axes=get(f1,'CurrentAxes');
set(get(f1Axes,'XLabel'),'String','s','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');
set(get(f1Axes,'YLabel'),'String','F_q(s)','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');

[Hq,TAUq,Q2]=MFDFAHTau(S,FqS,Q);

f2=figure('Name','Распределение H(q)','NumberTitle','off');
plot(Q2,Hq,'.');
f2Axes=get(f2,'CurrentAxes');
set(get(f2Axes,'XLabel'),'String','q','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');
set(get(f2Axes,'YLabel'),'String','h(q)','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');

f3=figure('Name','Распределение Tau(q)','NumberTitle','off');
plot(Q2,TAUq,'.');
f3Axes=get(f3,'CurrentAxes');
set(get(f3Axes,'XLabel'),'String','q','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');
set(get(f3Axes,'YLabel'),'String','\tau(q)','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');

[ALPHA,FALPHA]=MFDFAAlphaFTAUSpline(Q2,TAUq,percFunction);
f4=figure('Name','Распределение F(alpha), alpha рассчитана через tau','NumberTitle','off');
plot(ALPHA,FALPHA,'.');
f4Axes=get(f4,'CurrentAxes');
set(get(f4Axes,'XLabel'),'String','\alpha','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');
set(get(f4Axes,'YLabel'),'String','f(\alpha) from \tau(q)','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');

[ALPHA2,FALPHA2]=MFDFAAlphaFHSpline(Q2,Hq,percFunction);
f5=figure('Name','Распределение F(alpha), alpha рассчитана через h','NumberTitle','off');
plot(ALPHA2,FALPHA2,'.');
f5Axes=get(f5,'CurrentAxes');
set(get(f5Axes,'XLabel'),'String','\alpha','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');
set(get(f5Axes,'YLabel'),'String','f(\alpha) from H(q)','FontAngle','italic','FontName','times new roman','FontSize',14,...
                         'FontWeight','bold');

clear m n windowWidthBegin windowWidthEnd POWERS STEP RATIO f1Axes;
clear f2Axes f3Axes f4Axes;